Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseChartAxis

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseChartAxis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChartAxis, JRCloneable

Direct Known Subclasses:
  JRDesignChartAxis

    public class JRBaseChartAxis

extends java.lang.Object
implements JRChartAxis, java.io.Serializable

Base read-only implementation of `JRChartAxis`.

Version:
  $Id: JRBaseChartAxis.java 3932 2010-08-04 12:17:40Z teodord $
Author:
  Barry Klawans (barry@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRChart` | `chart` The Chart object containing the dataset and plot to use with this axis.
`protected AxisPositionEnum` | `positionValue` Where to position the axis.

Fields inherited from interface net.sf.jasperreports.charts.JRChartAxis
`POSITION_LEFT_OR_TOP, POSITION_RIGHT_OR_BOTTOM`

Constructor Summary
`JRBaseChartAxis()` Construct a new axis that will be added to the specified chart.
`JRBaseChartAxis(JRChartAxis axis, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRChart` | `getChart()` Returns the chart that contains the dataset and plot to use for this axis.
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`
`java.lang.Byte` | `getPositionByte()` Deprecated. Replaced by `getPositionValue()`
`AxisPositionEnum` | `getPositionValue()` Returns the position of this axis.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### positionValue

    protected AxisPositionEnum positionValue

  Where to position the axis.

### chart

    protected JRChart chart

  The Chart object containing the dataset and plot to use with this axis.

Constructor Detail

### JRBaseChartAxis

    public JRBaseChartAxis()

  Construct a new axis that will be added to the specified chart.

### JRBaseChartAxis

    public JRBaseChartAxis(JRChartAxis axis,
                           JRBaseObjectFactory factory)

Method Detail

### getPosition

    public byte getPosition()

  Deprecated. Replaced by `getPositionValue()`

  Specified by:
    `getPosition` in interface `JRChartAxis`

### getPositionByte

    public java.lang.Byte getPositionByte()

  Deprecated. Replaced by `getPositionValue()`

  Specified by:
    `getPositionByte` in interface `JRChartAxis`

### getPositionValue

    public AxisPositionEnum getPositionValue()

  Returns the position of this axis.

  Specified by:
    `getPositionValue` in interface `JRChartAxis`
  Returns:
    the position of this axis

### getChart

    public JRChart getChart()

  Returns the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset when adding to the multiple axis chart.

  Specified by:
    `getChart` in interface `JRChartAxis`
  Returns:
    the chart that contains the dataset and plot for this axis

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com